%define name rox-menu
%define version 0.5.0
%define release 1mdk
%define oname ROX-Menu
%define _appsdir	%{_libdir}/apps

Summary: Menu for the panel of the ROX filer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %oname.tar.bz2
License: GPL
Group: Graphical desktop/Other
URL: http://www.cs.sunyit.edu/~geerp/rox
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk2-devel
Requires: rox

%description
ROX-Menu is a simple panel applet for ROX-Filer and the ROX desktop that
pops up a menu that you can use to start your favorite application 
directories.  It serves the same purpose as the KDE "K" menu or the 
Windows "Start" menu.

%prep
%setup -q -n %oname
chmod 755 Help .

%build
./AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir  -p %buildroot%_appsdir
cp -r ../%oname %buildroot%_appsdir
rm -rf %buildroot%_appsdir/%oname/src
#install a default menu
mkdir -p %buildroot%_datadir/Choices/%oname
echo "d=%_appsdir" > %buildroot%_datadir/Choices/%oname/Apps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %_appsdir/%oname/Help
%dir %_appsdir/%oname
%_appsdir/%oname/.DirIcon
%_appsdir/%oname/App*
%_appsdir/%oname/Linux-*
%_datadir/Choices/%oname
%changelog
* Sat Sep  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- new version

* Sat Aug 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- new version

* Thu Aug 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- initial package

